# Interface J2SObjectInterface

All Known Subinterfaces:
  `JmolToJSmolInterface, JSVToJSmolInterface`

public interface J2SObjectInterface
methods in j2s JavaScript accessed in Jmol

## Method Summary

Modifier and Type
Method
Description
`void`
`applyFunc(Object func, Object data)`
`void`
`clearConsole(JSAppletObject html5Applet)`
`Object`
`doAjax(Object url, String postOut, Object bytesOrStringOut, boolean isBinary)`
`Object`
`doAjax(String url, String postOut, Object bytesOrStringOut, Object info)`
`Object`
`getHiddenCanvas(JSAppletObject html5Applet, String string, int w, int h)`
`boolean`
`isBinaryUrl(String filename)`
`Object`
`loadFileAsynchronously(Object fileLoadThread, JSAppletObject html5Applet, String fileName, Object appData)`
`Object`
`newGrayScaleImage(Object context, Object image, int width, int height, int[] grayBuffer)`
`void`
`repaint(JSAppletObject html5Applet, boolean asNewThread)`
`void`
`resizeApplet(Object html5Applet, int[] dims)`
`void`
`saveImage(JSAppletObject html5Applet, String type, String fileName)`
`void`
`setCanvasImage(Object canvas, int width, int height)`
`void`
`showInfo(JSAppletObject html5Applet, boolean show)`

## Method Details

### doAjax

Object doAjax(String url, String postOut, Object bytesOrStringOut, Object info)

### doAjax

Object doAjax(Object url, String postOut, Object bytesOrStringOut, boolean isBinary)

### applyFunc

void applyFunc(Object func, Object data)

### newGrayScaleImage

Object newGrayScaleImage(Object context, Object image, int width, int height, int[] grayBuffer)

### showInfo

void showInfo(JSAppletObject html5Applet, boolean show)

### clearConsole

void clearConsole(JSAppletObject html5Applet)

### isBinaryUrl

boolean isBinaryUrl(String filename)

### saveImage

void saveImage(JSAppletObject html5Applet, String type, String fileName)

### repaint

void repaint(JSAppletObject html5Applet, boolean asNewThread)

### setCanvasImage

void setCanvasImage(Object canvas, int width, int height)

### getHiddenCanvas

Object getHiddenCanvas(JSAppletObject html5Applet, String string, int w, int h)

### loadFileAsynchronously

Object loadFileAsynchronously(Object fileLoadThread, JSAppletObject html5Applet, String fileName, Object appData)

### resizeApplet

void resizeApplet(Object html5Applet, int[] dims)